> ## Documentation Index
> Fetch the complete documentation index at: https://docs.renchi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /api/webhooks/elevenlabs/personalize

> POST endpoint for /webhooks/elevenlabs/personalize

POST endpoint for /webhooks/elevenlabs/personalize

## Request Body

<ParamField body="caller_id" type="string" required={true}>
  caller\_id
</ParamField>

<ParamField body="agent_id" type="string" required={true}>
  agent\_id
</ParamField>

<ParamField body="called_number" type="string" required={true}>
  called\_number
</ParamField>

<ParamField body="call_sid" type="string" required={false}>
  call\_sid
</ParamField>

## Response

Returns `unknown` on success.

## Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST https://your-domain.com/api/webhooks/elevenlabs/personalize \
    -H "Content-Type: application/json" \
    -H "Authorization: Bearer YOUR_TOKEN"
  ```

  ```typescript TypeScript theme={null}
  const response = await fetch('/api/webhooks/elevenlabs/personalize', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'Authorization': `Bearer ${token}`
    }
  });
  const data = await response.json();
  ```
</CodeGroup>
